Bug 771876 - nfs: nfs.addr-namelookup help needs to be updated
nfs: nfs.addr-namelookup help needs to be updated
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Vivek Agarwal
Saurabh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-05 05:00 EST by Saurabh
Modified: 2016-02-17 19:03 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:56:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-01-05 05:00:05 EST
Description of problem:
nfs.addr-namelookup help needs to be updated, the default value is off but the help says it is "on" in the last sentence.

Option: nfs.addr-namelookup
Default Value: (null)
Description: Users have the option of turning off name lookup for incoming client connections using this option. In some setups, the name server can take too long to reply to DNS queries resulting in timeouts of mount requests. Use this option to turn off name lookups during address authentication. Note, turning this off will prevent you from using hostnames in rpc-auth.addr.* filters. By default,  name lookup is on.

Version-Release number of selected component (if applicable):
glusterfs 3.3.0qa18 built on Dec 29 2011 01:49:17


How reproducible:

easily

Steps to Reproduce:
1.gluster volume set help
2.search for "nfs.addr-namelookup"
3.read the help
  
Actual results:
the status for default is on "By default,  name lookup is on."

Expected results:
"By default,  name lookup is off."

Additional info:
Comment 1 Anand Avati 2012-02-29 05:14:58 EST
CHANGE: http://review.gluster.com/2829 (nfs/doc: corrections) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.